Last Comment Bug 787968 - Replace nsIMsgIncomingServer.useSSL with nsMsgSocketType.SSL (missing from patch for Bug 525238)
: Replace nsIMsgIncomingServer.useSSL with nsMsgSocketType.SSL (missing from pa...
Status: RESOLVED FIXED
: regression
Product: SeaMonkey
Classification: Client Software
Component: MailNews: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.15
Assigned To: Philip Chee
:
Mentors:
Depends on: 525238
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-03 09:55 PDT by Philip Chee
Modified: 2012-09-04 15:40 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed
fixed
fixed


Attachments
Patch v1.0 fixit. (1.06 KB, patch)
2012-09-03 10:00 PDT, Philip Chee
neil: review+
iann_bugzilla: approval‑comm‑aurora+
iann_bugzilla: approval‑comm‑beta+
iann_bugzilla: approval‑comm‑release+
Details | Diff | Splinter Review

Description Philip Chee 2012-09-03 09:55:13 PDT
Bug 525238 removed Components.interfaces.nsIMsgIncomingServer.useSSL and replaced it with Components.interfaces.nsMsgSocketType.SSL but BenB forgot to change SeaMonkey's version of CopyMessageUrl()
Comment 1 Philip Chee 2012-09-03 10:00:30 PDT
Created attachment 657877 [details] [diff] [review]
Patch v1.0 fixit.

[Approval Request Comment]
Regression caused by (bug #): Bug 525238 - Authentication method (plaintext/encrypted password, Kerberos/GSSAPI etc.) should be explicit, not just "Secure authentication"
User impact if declined: Unable to copy message location if server protocol is snews.
Testing completed (on m-c, etc.): baked in Thunderbird since 2010-03-19
Risk to taking this patch (and alternatives if risky): minimal
String changes made by this patch: none.
Comment 2 Philip Chee 2012-09-04 01:33:44 PDT
Pushed to comm-central:
http://hg.mozilla.org/comm-central/rev/163203274af7
Comment 4 Ben Bucksch (:BenB) 2012-09-04 15:40:37 PDT
> but BenB forgot to change SeaMonkey's version of CopyMessageUrl()

Sorry. Thanks for fixing it.

Note You need to log in before you can comment on or make changes to this bug.